Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.document
Class DocumentException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.document.DocumentException

Direct Known Subclasses:
  DocumentParseException, InvalidDocumentException

public class DocumentException
extends java.lang.Exception

The main exception class for IDocument and IDocumentSchema and related classes/interfaces.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`DocumentException(java.lang.String msg)`
`DocumentException(java.lang.String msg, java.lang.Exception e)`

Method Summary
`java.lang.Exception` | `getLinkedException()`
`static void` | `main(java.lang.String[] args)`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream out)`
`void` | `printStackTrace(java.io.PrintWriter out)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentException

    public DocumentException(java.lang.String msg)

### DocumentException

    public DocumentException(java.lang.String msg,
                             java.lang.Exception e)

Method Detail

### getLinkedException

    public java.lang.Exception getLinkedException()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Throwable

### printStackTrace

    public void printStackTrace()

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintStream out)

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintWriter out)

  Overrides:
    printStackTrace in class java.lang.Throwable

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)